import Taro, { Component } from '@tarojs/taro'
import { View, Text, Image, ScrollView } from '@tarojs/components'
import { Loading } from '@components'
import { connect } from '@tarojs/redux'
import * as actions from '@actions/user'
import { getWindowHeight } from '@utils/style'
import MyEditor from '../../components/editor'
import './user.scss'

const RECOMMEND_SIZE = 20

// @connect(state => state.home, { ...actions, })
class User extends Component {
  config = {
    navigationBarTitleText: '我的'
  }

  state = {
    loaded: false,
    loading: false,
    lastItemId: 0,
    hasMore: true
  }

  componentDidMount() {

  }


  render() {
    // if (!this.state.loaded) {
    //   return <Loading />
    // }

    const { } = this.props
    return (
      <View className='home'>
        <ScrollView
          scrollY
          className='home__wrap'
          style={{ height: getWindowHeight() }}
        >
          <MyEditor />
          <View className='exit'
            onClick={() => {
              Taro.setStorage({ key: 'token', data: '' })
              Taro.reLaunch({
                url: '/pages/user-login/user-login'
              })
            }}
          >退出登录</View>
        </ScrollView>
      </View>
    )
  }
}

export default User